Page MenuHomePhabricator

Update board election spam scripts for 2015 and run
Closed, ResolvedPublic

Description

This is, unfortunately, a bit time sensitive now because things dropped while I was on vacation (@Philippe-WMF says he created a ticket but it seems to have gone missing in thin air so I'm staring in his direction). What I think we need to update (if better ways to do it I'm open obviously):

  • Update the scripts from bv2013 in securePoll (cli/wm-scripts/bv2013) for bv2015.
    • doSpam.php (creates email list)
      • List is 'board-vote-2015a'
      • Get list of users who has already voted from voteWiki election 512 (probably just change the election number) [is used to not email those folks]
      • Look at centralAuth db rather then troll all databases for eligible user list
      • Get user name and email as well as language and project (from homdb) from globaluser table rather then individual wiki
      • Right now the 'voted' flag is being checked by db.username. I'm not sure if that needs to be changed to just check username or global user id (what we now use for the list anyway) or not.
    • sendMails.php
      • Needs to update the basics (2013 --> 2015). Not sure if any of the language checking needs to be checked because of changed in the list. Maybe not.
    • buildSpamTranslations.php
      • Need to update the basics (2013 --> 2015) and where all the translations are now on meta etc.
  • Use scripts to send the emails.

Event Timeline

Jalexander raised the priority of this task from to Unbreak Now!.
Jalexander updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2015, 7:54 PM
Jalexander updated the task description. (Show Details)May 26 2015, 7:55 PM
Jalexander set Security to None.

I'm writing an email to try and troll for some help on this, I'm then working to get all of the translations we have so far together (and do a last minute cry for checking) and then will probably try to update buildSpamTranslations.php though I'm not sure if I can actually run it (since it tends to save all the translations to /a/common historically).

We also need to put the list of no-email users into the folder buildSpamTranslations uses. I'll create the list easily but will probably need help getting it to the right place on terbium.

Jalexander added a subscriber: ori.May 27 2015, 2:37 AM

Change 213973 had a related patch set uploaded (by Jalexander):
Add new version of buildSpamTranslations.php

https://gerrit.wikimedia.org/r/213973

Change 214289 had a related patch set uploaded (by Ori.livneh):
Add bv2015/doSpam.php

https://gerrit.wikimedia.org/r/214289

ori added a comment.May 28 2015, 3:13 AM

@Jalexander, I updated doSpam.php for the 2015 board vote and generated the list. Are the translations ready on terbium (or some other host)?

Jalexander closed this task as Resolved.May 28 2015, 7:58 AM
Jalexander assigned this task to ori.
Jalexander removed a project: Patch-For-Review.

Two bot accounts of mine (BernsteinBot and WoodwardBot) received e-mails about the ongoing Wikimedia Foundation Board elections (subject line: "Wikimedia Foundation Elections 2015"). Bot accounts receiving the e-mails is not a big deal, but we (Wikimedia) should be mature enough to have a standardized process/checklist for mass electronic mailings of this nature. I'm going to file a separate task about this.

Change 214289 merged by Ori.livneh:
Add bv2015/doSpam.php

https://gerrit.wikimedia.org/r/214289

Change 213973 abandoned by Huji:
Add new version of buildSpamTranslations.php

Reason:
Issue was resolved through 214289

https://gerrit.wikimedia.org/r/213973

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptOct 16 2016, 8:36 PM